# $Revision: 1.10 $, $Date: 2007/10/28 11:50:35 $
%define	_lang	sv
%define	_reg	SE
%define	_lare	%{_lang}-%{_reg}
Summary:	Swedish resources for SeaMonkey
Summary(pl.UTF-8):	Szwedzkie pliki językowe dla SeaMonkeya
Name:		seamonkey-lang-%{_lang}
Version:	1.1.5
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/%{version}/contrib-localized/seamonkey-%{version}.%{_lare}.langpack.xpi
# Source0-md5:	2c11ce45056f020b1a0909cd7f0363ce
Source1:	http://www.mozilla-enigmail.org/downloads/lang/0.9x/enigmail-%{_lare}-0.9x.xpi
# Source1-md5:	237d8d4cef7a5a5bb2ec99c08cdc1c95
Source2:	gen-installed-chrome.sh
URL:		http://www.mozilla.org/projects/seamonkey/
BuildRequires:	unzip
Requires(post,postun):	seamonkey >= %{version}
Requires(post,postun):	textutils
Requires:	seamonkey >= %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_chromedir	%{_datadir}/seamonkey/chrome

%description
Swedish resources for SeaMonkey.

%description -l pl.UTF-8
Szwedzkie pliki językowe dla SeaMonkeya.

%prep
%setup -q -c
%{__unzip} -o -qq %{SOURCE1}
install %{SOURCE2} .
./gen-installed-chrome.sh locale chrome/{%{_reg},%{_lare},%{_lang}-unix,enigmail-%{_lare}}.jar \
	> lang-%{_lang}-installed-chrome.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install chrome/{%{_reg},%{_lare},%{_lang}-unix,enigmail-%{_lare}}.jar $RPM_BUILD_ROOT%{_chromedir}
install lang-%{_lang}-installed-chrome.txt $RPM_BUILD_ROOT%{_chromedir}
cp -r defaults $RPM_BUILD_ROOT%{_datadir}/seamonkey

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/seamonkey-chrome+xpcom-generate

%postun
%{_sbindir}/seamonkey-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_reg}.jar
%{_chromedir}/%{_lare}.jar
%{_chromedir}/%{_lang}-unix.jar
%{_chromedir}/enigmail-%{_lare}.jar
%{_chromedir}/lang-%{_lang}-installed-chrome.txt
%{_datadir}/seamonkey/defaults/messenger/%{_reg}
%{_datadir}/seamonkey/defaults/profile/%{_reg}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seamonkey-lang-sv.spec,v $
Revision 1.10  2007/10/28 11:50:35  glen
- 1.1.5

Revision 1.9  2007/10/21 12:19:10  hawk
- updated to 1.1.4

Revision 1.8  2007/06/01 11:09:21  hawk
- updated to 1.1.1

Revision 1.7  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.5  2006/07/31 16:10:12  sparky
- use macros

Revision 1.4  2006/04/17 20:06:04  sparky
- use %setup to unpack Source0

Revision 1.3  2006/04/17 17:59:12  sparky
- added enigmail translation

Revision 1.2  2006/04/16 20:33:02  sparky
- missing lang name change

Revision 1.1  2006/04/16 20:26:38  sparky
- NEW, builds and works
